## ros-indigo-rosbag 1.11.21

=== debian/changelog ===
ros-indigo-rosbag (1.11.21-0trusty) trusty; urgency=high

  * throw exception instead of accessing invalid memory (#971 <https://github.com/ros/ros_comm/pull/971>)
  * terminate underlying rosbag play, record  on SIGTERM (#951 <https://github.com/ros/ros_comm/issues/951>)
  * fix BagMigrationException in migrate_raw (#917 <https://github.com/ros/ros_comm/issues/917>)
  * set default values for min_space and min_space_str (#883 <https://github.com/ros/ros_comm/issues/883>)
  * update rosbag filter progress meter to use raw uncompressed input size (#857 <https://github.com/ros/ros_comm/issues/857>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 06 Mar 2017 08:00:00 -0000

ros-indigo-rosbag (1.11.20-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Jun 2016 07:00:00 -0000

ros-indigo-rosbag (1.11.19-0trusty) trusty; urgency=high

  * promote the result of read_messages to a namedtuple (#777 <https://github.com/ros/ros_comm/pull/777>)
  * use directory specific compiler flags (#785 <https://github.com/ros/ros_comm/pull/785>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Apr 2016 07:00:00 -0000

ros-indigo-rosbag (1.11.18-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 17 Mar 2016 07:00:00 -0000

ros-indigo-rosbag (1.11.17-0trusty) trusty; urgency=high

  * use boost::make_shared instead of new for constructing boost::shared_ptr (#740 <https://github.com/ros/ros_comm/issues/740>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 11 Mar 2016 08:00:00 -0000

ros-indigo-rosbag (1.11.16-0trusty) trusty; urgency=high

  * show size unit for --size of rosbag record in help string (#697 <https://github.com/ros/ros_comm/pull/697>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 09 Nov 2015 08:00:00 -0000

ros-indigo-rosbag (1.11.15-0trusty) trusty; urgency=high

  * add option --prefix for prefixing output topics (#626 <https://github.com/ros/ros_comm/pull/626>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 13 Oct 2015 07:00:00 -0000

ros-indigo-rosbag (1.11.14-0trusty) trusty; urgency=high

  * reduce memory usage by using slots for IndexEntry types (#613 <https://github.com/ros/ros_comm/pull/613>)
  * remove duplicate topics (#647 <https://github.com/ros/ros_comm/issues/647>)
  * better exception when calling get_start_time / get_end_time on empty bags (#657 <https://github.com/ros/ros_comm/pull/657>)
  * make support for lz4 in rosbag optional (#642 <https://github.com/ros/ros_comm/pull/642>)
  * fix handling of "play --topics" (#620 <https://github.com/ros/ros_comm/issues/620>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 19 Sep 2015 07:00:00 -0000

ros-indigo-rosbag (1.11.13-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 28 Apr 2015 07:00:00 -0000

ros-indigo-rosbag (1.11.12-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 27 Apr 2015 07:00:00 -0000

ros-indigo-rosbag (1.11.11-0trusty) trusty; urgency=high

  * add support for pausing when specified topics are about to be published (#569 <https://github.com/ros/ros_comm/pull/569>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 16 Apr 2015 07:00:00 -0000

ros-indigo-rosbag (1.11.10-0trusty) trusty; urgency=high

  * add option to specify the minimum disk space at which recording is stopped (#500 <https://github.com/ros/ros_comm/pull/500>)
  * add convenience API to Python rosbag (#508 <https://github.com/ros/ros_comm/issues/508>)
  * fix delay on detecting a running rosmaster with use_sim_time set (#532 <https://github.com/ros/ros_comm/pull/532>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 22 Dec 2014 08:00:00 -0000

ros-indigo-rosbag (1.11.9-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-indigo-rosbag (1.11.8-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 04 Aug 2014 07:00:00 -0000

ros-indigo-rosbag (1.11.7-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-indigo-rosbag (1.11.6-0trusty) trusty; urgency=high

  * fix rosbag record prefix (#449 <https://github.com/ros/ros_comm/issues/449>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 10 Jul 2014 07:00:00 -0000

ros-indigo-rosbag (1.11.5-0trusty) trusty; urgency=high

  * Fix typo in rosbag usage

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 24 Jun 2014 07:00:00 -0000

ros-indigo-rosbag (1.11.4-0trusty) trusty; urgency=high

  * Python 3 compatibility (#426 <https://github.com/ros/ros_comm/issues/426>, #430 <https://github.com/ros/ros_comm/issues/430>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Mon, 16 Jun 2014 07:00:00 -0000

ros-indigo-rosbag (1.11.3-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 21 May 2014 07:00:00 -0000

ros-indigo-rosbag (1.11.2-0trusty) trusty; urgency=high



 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 08 May 2014 07:00:00 -0000

ros-indigo-rosbag (1.11.1-0trusty) trusty; urgency=high

  * add lz4 compression to rosbag (Python and C++) (#356 <https://github.com/ros/ros_comm/issues/356>)
  * fix rosbag record --node (#357 <https://github.com/ros/ros_comm/issues/357>)
  * move rosbag dox to rosbag_storage (#389 <https://github.com/ros/ros_comm/issues/389>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 07 May 2014 07:00:00 -0000

ros-indigo-rosbag (1.11.0-0trusty) trusty; urgency=high

  * use catkin_install_python() to install Python scripts (#361 <https://github.com/ros/ros_comm/issues/361>)

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 04 Mar 2014 08:00:00 -0000

ros-indigo-rosbag (1.10.0-0trusty) trusty; urgency=high

  * remove use of __connection header

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 11 Feb 2014 08:00:00 -0000

ros-indigo-rosbag (1.9.54-0trusty) trusty; urgency=high


