=== debian/control ===
Source: ros-indigo-rosbag
Section: misc
Priority: extra
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, python-imaging, ros-indigo-catkin (>= 0.5.78), ros-indigo-cpp-common, ros-indigo-rosbag-storage, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-roscpp-serialization, ros-indigo-topic-tools, ros-indigo-xmlrpcpp
Homepage: http://ros.org/wiki/rosbag
Standards-Version: 3.9.2

Package: ros-indigo-rosbag
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, python-rospkg, ros-indigo-genmsg, ros-indigo-genpy, ros-indigo-rosbag-storage, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-roslib, ros-indigo-rospy, ros-indigo-topic-tools, ros-indigo-xmlrpcpp
Description: This is a set of tools for recording from and playing back to ROS topics.
 It is intended to be high performance and avoids deserialization and reserialization of the messages.
